FROM python:3.11-slim

WORKDIR /app

# Installer les dépendances
RUN pip install Flask Flask-CORS

# Copier l'application
COPY app.py web_sentinel_api.py

# Exposer le port
EXPOSE 5000

# Démarrer l'application
CMD ["python", "web_sentinel_api.py"]